import { Component, Input } from '@angular/core';
import { DetailsService } from 'src/services/details/details.service';
import { Weapon } from 'src/interfaces/interfaces';

@Component({
  selector: 'app-weapon-details',
  templateUrl: './weapon-details.component.html',
  styleUrls: ['./weapon-details.component.scss'],
})
export class WeaponDetailsComponent {
  @Input() weapon: Weapon | undefined;
  @Input() damageModifier: string = '0';

  public constructor(public detailsAccessor: DetailsService) {}
  public close(result: string): void {
    this.detailsAccessor.closePanel(result);
  }
}
